Subject: Microsoft Exchange server and Pine

From: Jan Kalin <[email-masked]>
Date: Fri, 15 Jan 1999 12:26:56 +0100

Hi!

I remember some time ago someone complained about truncated messages and
"message size mismatch" messages from Pine when using a M$ Exchange
server. I've had the same problem at the place where I work at and we've
managed to resolve it. Here's the letter from our sysop regarding the
problem (and solution :)

Cheers,
Jan

-- 
 Jan Kalin (male, preferred languages: Slovene, English)
 <A HREF="http://www.zag.si/~jank/"> contact information </A>

---------- Forwarded message ----------
Subject: RE: PINE 

Recently I found the following concerning your problem:
Fast retrieval is now switched off.
Can you check if it works now ?

Using IMAP4 Fast Message Retrieval 
When applying Service Pack 2 to a server running Microsoft Exchange
Server 5.5, the IMAP4 Fast Message Retrieval setting on both the
upgraded server and the site is set to Off. IMAP4 Fast Message Retrieval
settings applied to users are not affected.
When you set the IMAP4 Fast Message Retrieval setting to On, the server
responds to IMAP4 queries with an approximate message size. This
increases performance because the server does not have to calculate the
exact message size. If you are using an IMAP4 client that is based on a
model that depends on the exact message size and you enable this option,
users may see truncated messages and attachments. Because some IMAP4
clients now depend on exact message size, you should enable this setting
only after you have verified that your IMAP4 clients are compatible with
the IMAP4 Fast Message Retrieval setting.
The following clients support this setting:
*	Microsoft Outlook Express
*	Microsoft Outlook
*	Netscape Messenger version 4.08 and earlier 
*	Eudora Pro V4.0
*	Esys Simeon V4.1.1
*	Cyrusoft Mulberry V1.3.0 

The following clients do not support this option:
*	Netscape Messenger V4.5
*	Any version of Pine (University of Washington) 

If the IMAP4 client you are using is not listed, you can test for IMAP4
fast message retrieval compatibility by retrieving several messages and
then checking those messages for truncation.